Subject: Re: Meson build leaks host 'sh' path to target build when cross-compiled

From: Junio C Hamano <[email-masked]>
Date: Mon, 10 Feb 2025 11:54:25 -0800

Peter Seiderer <[email-masked]> writes:

> Maybe all doing (autoconf) cross builds where happy with the defaults
> from the Makefile (SHELL_PATH = /bin/sh, PERL_PATH = /usr/bin/perl)
> on host and target (as the buildroot autoconf package since 2013) and
> only users doing native builds fiddled around with non-default values?

I somehow doubt it.

The problem I see is that there is no distinction between "this is
the path for the shell on the target system" vs "this is the shell
we run on the host while building the package" in the Makefile.  Use
of autoconf would not magically change it; the Makefile that
includes the config.mak.autogen needs to be aware of the
distinction.